import { Connection, ClientThreadClientConfigurationShape, ISettingsService } from '@workbench-stack/extension-api';
import { ISettingsEdit } from '@workbench-stack/core';
export declare class ClientConfiguration<C> implements ClientThreadClientConfigurationShape {
    private settingsService;
    private subscriptions;
    private proxy;
    constructor(connection: Connection, settingsService: ISettingsService);
    $acceptConfigurationUpdate(edit: ISettingsEdit): Promise<void>;
    unsubscribe(): void;
}
